/**
 * Copyright 2010-2013 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl2.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.common.deploy.spring;

import org.kuali.common.util.MavenConstants;
import org.kuali.common.util.Project;
import org.kuali.common.util.ProjectUtils;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DeployProjectConfig {

	public static final String GROUP_ID = MavenConstants.KUALI_COMMON_GROUP_ID;
	public static final String ARTIFACT_ID = "kuali-deploy";

	@Bean
	public Project deployProject() {
		return ProjectUtils.loadProject(GROUP_ID + ":" + ARTIFACT_ID);
	}

}
